Bug 673096 - Review Request: bamf-qt - Qt bindings and QML plugin for Bamf DBus server
Summary: Review Request: bamf-qt - Qt bindings and QML plugin for Bamf DBus server
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-27 12:30 UTC by Jaroslav Reznik
Modified: 2021-06-04 08:11 UTC (History)
4 users (show)

Fixed In Version: bamf-qt-0.2.3-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-04 08:11:20 UTC
Type: ---
rnovacek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jaroslav Reznik 2011-01-27 12:30:41 UTC
Spec URL: http://rezza.hofyland.cz/fedora/packages/bamf-qt/bamf-qt.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/bamf-qt/bamf-qt-0.1-0.1.bzr371.fc14.src.rpm
Description: Qt bindings and QML plugin for Bamf DBus server.

rpmlint bamf-qt-0.1-0.1.bzr371.fc14.src.rpm 
bamf-qt.src: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
bamf-qt.src: W: invalid-url Source0: bamf-qt-0.1.bzr371.tar.gz

Source URL - pre-release snaphot.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2745311

Comment 1 Radek Novacek 2011-01-27 14:42:53 UTC
This package looks alright. Setting review+.

Comment 2 Jason Tibbitts 2011-01-27 15:17:13 UTC
This one fails to meet the naming guidelines as well.  Come on, the package review process isn't supposed to be a mere formality.

Won't be processing any SCM requests for package you're reviewed in this manner.  Please do proper reviews.

Comment 3 Radek Novacek 2011-01-28 09:33:53 UTC
Great, one mistake in the package version and I didn't do review at all? I ran into few issues, tell the maintainer on irc and he solved it. So should I paste here all items from ReviewGuidelines with 'PASS' for each? Would it made my review better?

Comment 4 Jaroslav Reznik 2011-03-03 14:05:37 UTC
Package update to final release (using Ubuntu's sources as they don't care currently about non-Ubuntu users)

Spec URL: http://rezza.hofyland.cz/fedora/packages/bamf-qt/bamf-qt.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/bamf-qt/bamf-qt-0.2-1.fc14.src.rpm

Comment 5 Jaroslav Reznik 2011-03-03 14:11:35 UTC
Koji build http://koji.fedoraproject.org/koji/taskinfo?taskID=2881775

Comment 6 Jaroslav Reznik 2012-01-27 11:52:17 UTC
Package refresh due to demand for Unity on fedora-ml.

Spec URL: http://rezza.hofyland.cz/fedora/packages/bamf-qt/bamf-qt.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/bamf-qt/bamf-qt-0.2.3-1.fc16.src.rpm

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3739062

rpmlint bamf-qt-0.2.3-1.fc16.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 7 Radek Novacek 2012-01-27 12:16:28 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[!]: MUST Development .so files in -devel subpackage, if present.
     Note: bamf-qt-0.2.3-1.fc17.i686.rpm :
     /usr/lib/qt4/imports/bamf/libQtBamfQml.so
-> Qt plugin, so doesn't matter


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
-> EPEL5 is not a target of this package.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.
-> Nothing serious

rpmlint bamf-qt-debuginfo-0.2.3-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint bamf-qt-0.2.3-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint bamf-qt-0.2.3-1.fc17.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint bamf-qt-devel-0.2.3-1.fc17.i686.rpm

bamf-qt-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/radek/review/673096/libqtbamf_0.2.3.orig.tar.gz :
  MD5SUM this package     : 0855bd710efab80141bcbca6527c3136
  MD5SUM upstream package : 0855bd710efab80141bcbca6527c3136

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[x]: SHOULD Scriptlets must be sane, if used.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0:
     https://launchpad.net/ubuntu/precise/+source/libqtbamf/0.2.3-0ubuntu1/+files/libqtbamf_%{version}.orig.tar.gz
     (libqtbamf_%{version}.orig.tar.gz) Patch0: bamf-qt-0.1.bzr371-libdir-
     suffix.patch (bamf-qt-0.1.bzr371-libdir-suffix.patch)
-> Upstream doesn't provide separate tarball, taken from ubuntu package
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Development .so files in -devel subpackage, if present.
     Note: bamf-qt-0.2.3-1.fc17.i686.rpm :
     /usr/lib/qt4/imports/bamf/libQtBamfQml.so
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[!]: MUST Rpmlint output is silent.

rpmlint bamf-qt-debuginfo-0.2.3-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint bamf-qt-0.2.3-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint bamf-qt-0.2.3-1.fc17.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint bamf-qt-devel-0.2.3-1.fc17.i686.rpm

bamf-qt-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Generated by fedora-review 0.1.2
External plugins:

No issues found, confirming fedora-review+.

Comment 8 Jaroslav Reznik 2012-01-27 12:50:04 UTC
New Package SCM Request
=======================
Package Name: bamf-qt
Short Description: Qt bindings and QML plugin for Bamf DBus server
Owners: jreznik
Branches: f16
InitialCC:

Comment 9 Gwyn Ciesla 2012-01-27 13:05:45 UTC
Git done (by process-git-requests).

Comment 10 Igor Gnatenko 2016-08-14 15:56:01 UTC
ping?


Note You need to log in before you can comment on or make changes to this bug.